SalesOS.

Webhook A I Workflows

AI-enhanced webhook automations

List all webhook AI triggers (root)

GET
/v1/webhook-ai-workflows

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
eventTypeRequiredstring
pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows?status=%3Cstring%3E&eventType=%3Cstring%3E&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Create a webhook trigger (root)

POST
/v1/webhook-ai-workflows

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows" \
  -H "Authorization: Bearer <token>"

List all executions across triggers

GET
/v1/webhook-ai-workflows/executions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/executions" \
  -H "Authorization: Bearer <token>"

List all webhook AI triggers

GET
/v1/webhook-ai-workflows/triggers

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusstring
Value in: "ACTIVE" | "PAUSED"
eventTypestring
pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/triggers?status=ACTIVE&eventType=%3Cstring%3E&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Create a new webhook AI trigger

POST
/v1/webhook-ai-workflows/triggers

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/triggers" \
  -H "Authorization: Bearer <token>"

Get webhook trigger details

GET
/v1/webhook-ai-workflows/triggers/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>" \
  -H "Authorization: Bearer <token>"

Update a webhook trigger

PATCH
/v1/webhook-ai-workflows/triggers/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

curl -X PATCH "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>" \
  -H "Authorization: Bearer <token>"

Delete a webhook trigger

DELETE
/v1/webhook-ai-workflows/triggers/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

curl -X DELETE "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>" \
  -H "Authorization: Bearer <token>"

Toggle trigger between active and paused

POST
/v1/webhook-ai-workflows/triggers/{id}/toggle

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>/toggle" \
  -H "Authorization: Bearer <token>"

Get trigger execution history

GET
/v1/webhook-ai-workflows/triggers/{id}/executions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

Query Parameters

pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>/executions?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Test a webhook trigger with sample payload

POST
/v1/webhook-ai-workflows/triggers/{id}/test

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>/test" \
  -H "Authorization: Bearer <token>"

Regenerate webhook secret for a trigger

POST
/v1/webhook-ai-workflows/triggers/{id}/regenerate-secret

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Trigger ID

curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/triggers/<string>/regenerate-secret" \
  -H "Authorization: Bearer <token>"

Get webhook AI workflow statistics

GET
/v1/webhook-ai-workflows/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/stats" \
  -H "Authorization: Bearer <token>"

Get trigger by ID (root)

GET
/v1/webhook-ai-workflows/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/<string>" \
  -H "Authorization: Bearer <token>"

Update trigger (root)

PATCH
/v1/webhook-ai-workflows/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/webhook-ai-workflows/<string>" \
  -H "Authorization: Bearer <token>"

Delete trigger (root)

DELETE
/v1/webhook-ai-workflows/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/webhook-ai-workflows/<string>" \
  -H "Authorization: Bearer <token>"

Toggle trigger (root)

POST
/v1/webhook-ai-workflows/{id}/toggle

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/<string>/toggle" \
  -H "Authorization: Bearer <token>"

Get trigger executions (root)

GET
/v1/webhook-ai-workflows/{id}/executions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Query Parameters

pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/webhook-ai-workflows/<string>/executions?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Test trigger (root)

POST
/v1/webhook-ai-workflows/{id}/test

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/<string>/test" \
  -H "Authorization: Bearer <token>"

Regenerate secret (root)

POST
/v1/webhook-ai-workflows/{id}/regenerate-secret

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/webhook-ai-workflows/<string>/regenerate-secret" \
  -H "Authorization: Bearer <token>"